Groups Assignments
Manage IAM group assignments to segments
Retrieves all IAM group assignments for a given customer segment.
- : Needed to read customer segments.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$Unique identifier of the customer segment.
A standard query parameter is used to search for specific values.
The number of documents to be retrieved per page.
The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.
List of properties used to sort the results, separated by colons.
Fields to be returned in the response.
Flag indicating whether the total number of retrieved results should be returned.
Group assignments for a customer segment were successfully retrieved.
Unique identifier of the customer segment.
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
GET /customer-segment/{tenant}/segments/{segmentId}/groups HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"segmentId": "628cd20c6e8b2432b6346ca6",
"group": {
"id": "1gr5e52e-6e27-4ac5-9471-2467d3fb7500",
"name": {
"en": "Buyers"
}
},
"metadata": {
"createdAt": "2024-10-12T12:00:00.000Z",
"modifiedAt": "2024-10-12T12:00:00.000Z",
"version": 1
}
},
{
"segmentId": "628cd20c6e8b2432b6346ca6",
"group": {
"id": "2ac869fc-d548-4ec8-8e06-c01491314124",
"name": {
"en": "Requesters"
}
},
"metadata": {
"createdAt": "2024-10-16T12:00:00.000Z",
"modifiedAt": "2024-10-16T12:00:00.000Z",
"version": 1
}
}
]Returns all IAM group assignments that match the provided criteria.
- : Needed to read customer segments.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$Unique identifier of the customer segment.
The number of documents to be retrieved per page.
The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.
List of properties used to sort the results, separated by colons.
Fields to be returned in the response.
Flag indicating whether the total number of retrieved results should be returned.
A standard query parameter is used to search for specific values.
Group assignments for a customer segment were successfully retrieved.
Unique identifier of the customer segment.
Bad request due to validation, incorrect parameters, etc.
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
POST /customer-segment/{tenant}/segments/{segmentId}/groups/search HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53
{
"q": "group.id:1gr5e52e-6e27-4ac5-9471-2467d3fb7500"
}[
{
"segmentId": "628cd20c6e8b2432b6346ca6",
"group": {
"id": "1gr5e52e-6e27-4ac5-9471-2467d3fb7500",
"name": {
"en": "Buyers"
}
},
"metadata": {
"createdAt": "2024-10-12T12:00:00.000Z",
"modifiedAt": "2024-10-12T12:00:00.000Z",
"version": 1
}
},
{
"segmentId": "628cd20c6e8b2432b6346ca6",
"group": {
"id": "2ac869fc-d548-4ec8-8e06-c01491314124",
"name": {
"en": "Requesters"
}
},
"metadata": {
"createdAt": "2024-10-16T12:00:00.000Z",
"modifiedAt": "2024-10-16T12:00:00.000Z",
"version": 1
}
}
]Retrieves an IAM group assignment for a specified group and customer segment.
- : Needed to read customer segments.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$Unique identifier of the customer segment.
Unique identifier of an existing IAM group.
Fields to be returned in the response.
Group assignment for a customer segment was successfully retrieved.
Unique identifier of the customer segment.
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
Resource not found
GET /customer-segment/{tenant}/segments/{segmentId}/groups/{groupId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"segmentId": "628cd20c6e8b2432b6346ca6",
"group": {
"id": "1gr5e52e-6e27-4ac5-9471-2467d3fb7500",
"name": {
"en": "Buyers"
}
},
"metadata": {
"createdAt": "2024-10-12T12:00:00.000Z",
"modifiedAt": "2024-10-12T12:00:00.000Z",
"version": 1
}
}Performs an UPSERT operation. Updates an IAM group assignment for a customer segment. Creates the assignment if it is not present in the system.
Only IAM groups with userType CUSTOMER can be assigned to a segment.
- : Needed to create or update customer segments.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$Unique identifier of the customer segment.
Unique identifier of an existing IAM group.
Request body for creating or updating an IAM group assignment.
A new group assignment was successfully created.
No content
Group assignment was successfully updated.
Bad request due to validation, incorrect parameters, etc.
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
Conflict
PUT /customer-segment/{tenant}/segments/{segmentId}/groups/{groupId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 216
{
"mixins": {
"segmentAttributes": {
"membershipStatus": "PREMIUM"
}
},
"metadata": {
"mixins": {
"segmentAttributes": "https://res.cloudinary.com/saas-ag/raw/upload/emporix-docs/69537caeb3fd5d378296ae42_segmentAttributes.json"
}
}
}No content
Removes an IAM group assignment from a customer segment.
- : Needed to create or update customer segments.
Your Emporix tenant name.
Note: Always write the tenant name in lowercase.
^[a-z][a-z0-9]+$Unique identifier of the customer segment.
Unique identifier of an existing IAM group.
Group assignment was successfully removed.
No content
Unauthorized
Access forbidden. The caller is not allowed to access this resource.
DELETE /customer-segment/{tenant}/segments/{segmentId}/groups/{groupId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
Last updated
Was this helpful?

